/* AUTEUR: Etienne Lozes */
import java.util.concurrent.locks.Lock;

public class Test {

    static int c = 0;

    public static void main(String []args){
        final int N = 10_000;
        final Lock mut = new Peterson();

        Runnable thunk = () -> {
            for(int i=0; i<N; i++) {
                mut.lock();
                c++;
                mut.unlock();
            }
        };

        try {
            Thread t1 = new Thread(thunk);
            Thread t2 = new Thread(thunk);
            t1.start();t2.start();
            t1.join();t2.join();
            System.out.printf("c=%d\n", c);
        } catch (InterruptedException e) { return;}
    }

}